<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.LogFlush Method (LSN)
DatabaseEnvironment Class See Also Send Feedback

Write log records to disk.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void LogFlush(
    	LSN logSeqNum
    )

Visual Basic (Declaration)

    Public Sub LogFlush ( _
    	logSeqNum As LSN _
    )

Visual C++

    public:
    void LogFlush(
    	LSN^ logSeqNum
    )

#### Parameters

logSeqNum
  Type: BerkeleyDB..::.LSN
  All log records with LSN values less than or equal to logSeqNum are written to disk. If null, all records in the log are flushed.

# See Also

DatabaseEnvironment Class
LogFlush Overload
BerkeleyDB Namespace